# 👁️ Eye - Pure Bash Hot-Reloader

Lightweight directories monitor with automatic rebuild and restart functionality for any project type

## What is it

- 🕵️‍♂️ **Universal Monitoring**: Tracks changes in directories
- 🔧 **Configurable Builds**: Works with any build system (Make, npm, go, etc.)
- 📦 **Zero Dependencies**: Pure Bash
- 🎨 **Clean Output**: Color-coded messages with EYE prefix

## Quick Start

1. Place script in your project root
2. Configure the script:
```bash
DURATION=1 # Delay between checks in seconds
WATCH_DIRS=("folder1" "folder2" "main.go") # # Directories/concrete files to watch
BINARY_PATH="./main" # Output path
BUILD_CMD="go build -o $BINARY_PATH main.go" # Your custom build command
```
3. Run it:
`./eye.sh`